%define packver 0.8.8
Name: kdetv
Version: %packver
Release: alt1

Summary: Kdetv - KDE Video4Linux Stream Capture Viewer
Summary(ru_RU.KOI8-R):  KDE        Video4Linux

Group: Video
License: GPL
Url: http://www.kdetv.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://dziegel.free.fr/releases/%name-%packver.tar.bz2
Patch: %name-0.8.5-patch

Obsoletes: kwintv

%define libname libkdevideo

Requires: %libname = %version-%release

# manually removed: boson gcc-g77 graphviz hostinfo qt3-doc qt3-designer kde-i18n-ru kde-settings xorg-x11-devel-static
# Automatically added by buildreq on Mon Jun 06 2005
BuildRequires: doxygen fontconfig freetype2 gcc-c++ kdelibs-devel kdepim-devel kdepim-libs libalsa-devel libarts-devel libdnet-devel libjpeg-devel libpng-devel libqscintilla-designer libqt3-devel libqt3-settings libstdc++-devel libzvbi-devel xml-utils zlib-devel

%description
Kdetv allows you to watch TV in a window on your PC screen.
It has more or less the same abilities as xawtv
but it is is based on Qt and integrated in KDE.

%description -l ru_RU.KOI8-R
Kdetv      
   .     
  xawtv,    Qt  
 KDE.

%package -n %libname
Summary: kdevideo libraries
Group: System/Libraries
License: LGPL
Obsoletes: libqtvision1

%description -n %libname
These libraries provide TV support to KDE.

%package -n %libname-devel
Summary: kdevideo libraries
Group: System/Libraries
License: LGPL
Requires: %libname = %version-%release
Obsoletes: libqtvision1-devel

%description -n %libname-devel
These're the files needed to develop applications that use qtvision libraries.

%prep
%setup -q -n %name-%packver
%patch -p0

%build
%__subst "s/\.la/\.so/g" configure
%__subst "s/\-lkdeui/-lkdeui -lqt -lDCOP/g" configure

%configure	--disable-rpath \
       		--disable-debug
#			--enable-final

%make

%install
# Due strange problem with relinking:
find ./ -name "*.la" -exec rm {} \;
%make_install install DESTDIR=%buildroot

rm -rf %buildroot%_docdir/libqtvision1-0.8.0/COPYING
rm -rf %buildroot%_docdir/libqtvision1-devel-0.8.0/COPYING

install -d %buildroot%_menudir
kdedesktop2mdkmenu.pl %name "Multimedia/Video" %buildroot%_datadir/applnk/Multimedia/kdetv.desktop %buildroot%_menudir/%name
%__chmod 4755 %buildroot/%_bindir/kdetvv4lsetup

%find_lang %name --with-kde

%post
%update_menus

%postun
%clean_menus

%post -n %libname
%post_ldconfig

%postun -n %libname
%postun_ldconfig

%files -f %name.lang
%_bindir/*
%_menudir/*
%_datadir/apps/kdetv/tips
%_iconsdir/hicolor/16x16/apps/kdetv.png
%_iconsdir/hicolor/22x22/apps/kdetv.png
%_iconsdir/hicolor/32x32/apps/kdetv.png
%_datadir/apps/kdetv/icons/hicolor/16x16/apps/kdetv.png
%_datadir/apps/kdetv/icons/hicolor/22x22/actions/*.png

%_datadir/apps/kdetv/icons/hicolor/22x22/apps/kdetv.png
%_datadir/apps/kdetv/icons/hicolor/32x32/apps/kdetv.png

%_datadir/apps/kdetv/*.rc
%_datadir/applnk/Multimedia/kdetv.desktop

%_datadir/apps/kdetv/channels-dist/*.list
%_datadir/apps/kdetv/channels-dist/*.map

%_datadir/apps/profiles/kdetv.profile.xml
%_datadir/services/kdetv/*.desktop
%_datadir/servicetypes/kdetv/*.desktop

%files -n %libname
#%_libdir/kde3/*.la
%_libdir/kde3/*.so

%_libdir/*.so.*

%files -n %libname-devel
%_libdir/*.so

%changelog
* Thu Oct 06 2005 Vitaly Lipatov <lav@altlinux.ru> 0.8.8-alt1
- new version

* Mon Jun 06 2005 Vitaly Lipatov <lav@altlinux.ru> 0.8.7-alt1
- new version

* Mon Nov 08 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.3-alt1
- new version
- cleanup spec

* Sat Jul 10 2004 Vitaly Lipatov <lav@altlinux.ru> 0.8.1-alt1
- first build for Sisyphus

* Mon Jun 14 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8.1-1mdk
- 0.8.1

* Tue Apr 20 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.8-1mdk
- First package

